require ("util")

local obj = util.table.deepcopy(data.raw["assembling-machine"]["assembling-machine-2"])
obj.name = "metallurgy-mold-machine"
obj.crafting_categories = {"metallurgy-mold"}
obj.minable = {mining_time = 0.5, result = "metallurgy-mold-machine"}
obj.icon = "__KasTech_Metallurgy__/graphics/icons/molds/mold-gear-machine.png"
obj.module_specification.module_slots = 4
obj.allowed_effects = {"consumption", "speed", "productivity", "pollution"}
obj.energy_source.emissions = 0.03 / 3.5
obj.energy_source =
    {
      type = "burner",
      fuel_category = "mold",
      effectivity = 1,
      fuel_inventory_size = 1,
    }
obj.energy_usage = "2W"
obj.alert_icon_shift = util.by_pixel(-3, -26)


obj.fluid_boxes =
    {
      {
        production_type = "input",
        pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-1, -2} }},
        secondary_draw_orders = { north = -1 }
      },
	  {
        production_type = "input",
        pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {1, -2} }},
        secondary_draw_orders = { north = -1 }
      },
      {
        production_type = "output",
        pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 2} }},
        secondary_draw_orders = { north = -1 }
      },
      off_when_no_fluid_recipe = true
    }
obj.animation =
    {
      filename = "__KasTech_Metallurgy__/graphics/entity/metallurgy-machines/mold-machine.png",
      priority = "high",
      width = 142,
      height = 113,
      frame_count = 9,
      shift = {0.84, -0.09}
    }



local objEnergyDrainer = util.table.deepcopy(data.raw["assembling-machine"]["assembling-machine-2"])
objEnergyDrainer.name = "metallurgy-mold-machine-drainer"
objEnergyDrainer.energy_usage = "500kW"
objEnergyDrainer.order = "A"
objEnergyDrainer.alert_icon_shift = util.by_pixel(-3, 2)
objEnergyDrainer.collision_box = {{-1.2, -1.2}, {1.2, 1.2}}
--objEnergyDrainer.selection_box = nil
objEnergyDrainer.animation = nil
objEnergyDrainer.module_specification.module_slots = 4
objEnergyDrainer.allowed_effects = {"consumption", "speed", "productivity", "pollution"}
objEnergyDrainer.crafting_categories = {"metallurgy-mold-invisible"}
objEnergyDrainer.crafting_speed = 0.1

data:extend({ obj })
data:extend({ objEnergyDrainer })