require ("__base__/prototypes/entity/demo-pipecovers")
require ("__base__/prototypes/entity/assemblerpipes")


local objRC = util.table.deepcopy(data.raw["recipe-category"]["smelting"])
objRC.name = "metal_smelting"

data:extend({ objRC })

local objI = util.table.deepcopy(data.raw["item"]["electric-furnace"])
objI.name = "smeltery"
objI.place_result = "smeltery"

data:extend({ objI })	

--local obj = util.table.deepcopy(data.raw["furnace"]["electric-furnace"])
local obj = util.table.deepcopy(data.raw["furnace"]["electric-furnace"])
obj.name = "smeltery"
obj.crafting_categories = {"metal_smelting"}
obj.minable = {mining_time = 0.1, result = "smeltery"}
obj.animation =
	{
      north =
      {
        layers = 
		{
			{
			  filename = "__KasTech_Metallurgy__/graphics/north.png",
			  priority = "high",
			  width = 250,
			  height = 250,
			  frame_count = 1,
			  scale = 0.55,
			  shift = {0.431875, -0.1},
			},
		}
      },
	  south =
      {
        layers = 
		{
			{
			  filename = "__KasTech_Metallurgy__/graphics/south.png",
			  priority = "high",
			  width = 250,
			  height = 250,
			  frame_count = 1,
			  scale = 0.55,
			  shift = {0.431875, -0.2},
			},
		}
      },
	  east = 
	  {
        layers = 
		{
			{
			  filename = "__KasTech_Metallurgy__/graphics/east.png",
			  priority = "high",
			  width = 250,
			  height = 250,
			  frame_count = 1,
			  scale = 0.55,
			  shift = {0.431875, -0.1},

			},
		}
      },
	  west = 
	  {
        layers = 
		{
			{
			  filename = "__KasTech_Metallurgy__/graphics/west.png",
			  priority = "high",
			  width = 250,
			  height = 250,
			  frame_count = 1,
			  scale = 0.55,
			  shift = {0.431875, -0.1},

			},
		}
      },
	  
	  
    }
obj.working_visualisations =
    {
		light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}, color = {r = 1.0, g = 1.0, b = 1.0}},
		{
			north_position = {0, 0},
			west_position = {0, 0},
			south_position = {0, 0},
			east_position = {0, 0},
			north_animation =
			{
			  filename = "__KasTech_Metallurgy__/graphics/AnimationNorth.png",
			  priority = "high",
			  width = 130,
			  height = 87,
			  line_length = 11,
			  frame_count = 22,
			  animation_speed = 0.4,
			  scale = 0.55,
			  shift = {-0.2, -0.690625},
			},
			south_animation =
			{
			  filename = "__KasTech_Metallurgy__/graphics/AnimationSouth.png",
			  priority = "high",
			  width = 129,
			  height = 83,
			  line_length = 11,
			  frame_count = 22,
			  animation_speed = 0.4,
			  scale = 0.55,
			  shift = {0.25, -0.850625},
			},
			east_animation =
			{
			  filename = "__KasTech_Metallurgy__/graphics/AnimationEast.png",
			  priority = "high",
			  width = 131,
			  height = 84,
			  line_length = 11,
			  frame_count = 22,
			  animation_speed = 0.4,
			  scale = 0.55,
			  shift = {0.0, -0.850625},
			},
			west_animation =
			{
			  filename = "__KasTech_Metallurgy__/graphics/AnimationWest.png",
			  priority = "high",
			  width = 130,
			  height = 80,
			  line_length = 11,
			  frame_count = 22,
			  animation_speed = 0.4,
			  scale = 0.55,
			  shift = {0.0, -0.600625},
			},
		},
		{
			north_position = {0, 0},
			west_position = {0, 0},
			south_position = {0, 0},
			east_position = {0, 0},
			north_animation =
			{
			  filename = "__KasTech_Metallurgy__/graphics/rocksNorth.png",
			  priority = "high",
			  width = 102,
			  height = 153,
			  line_length = 11,
			  frame_count = 22,
			  animation_speed = 0.2,
			  scale = 0.55,
			  shift = {0.69, 0.20},
			},
			south_animation =
			{
			  filename = "__KasTech_Metallurgy__/graphics/rocksSouth.png",
			  priority = "high",
			  width = 112,
			  height = 86,
			  line_length = 11,
			  frame_count = 22,
			  animation_speed = 0.2,
			  scale = 0.55,
			  shift = {-0.6, -1.15},
			},
			east_animation =
			{
			  filename = "__KasTech_Metallurgy__/graphics/rocksEast.png",
			  priority = "high",
			  width = 111,
			  height = 162,
			  line_length = 11,
			  frame_count = 22,
			  animation_speed = 0.2,
			  scale = 0.55,
			  shift = {-0.69, -0.00},
			},
			west_animation =
			{
			  filename = "__KasTech_Metallurgy__/graphics/rocksWest.png",
			  priority = "high",
			  width = 130,
			  height = 100,
			  line_length = 11,
			  frame_count = 22,
			  animation_speed = 0.2,
			  scale = 0.55,
			  shift = {0.35, -0.79},
			}
		},
		
      
    }
	
	
obj.fluid_boxes =
    {
      {
        production_type = "output",
        --pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {2,0} }},
        secondary_draw_orders = { north = -1 }
      },
      off_when_no_fluid_recipe = false
    }
obj.energy_source =
    {
      type = "fluid",
      max_temperature = 10000,
      specific_heat = "10KJ",
      max_transfer = "2GW",
      min_working_temperature = 1500,
	  maximum_temperature = 10000.0,
	  fluid_usage_per_tick = 0.5,
	  fluid_consumption = 0.5,
      fluid_box =
		{
		  base_area = 1,
		  height = 2,
		  base_level = -1,
		  pipe_covers = pipecoverspictures(),
		  pipe_connections =
		  {
			{ type = "input-output", position = {0, 2} },
			{ type = "input-output", position = {0, -2} }
		  },
		  production_type = "input-output",
		  filter = "lava",
		  minimum_temperature = 1500.0,
		  maximum_temperature = 10000.0
		}
	}

data:extend({ obj })	
	

	
data:extend(
{ 
  {
    type = "recipe",
    name = "smeltery",
    energy_required = 10,
    subgroup = "metallurgy-machines",
    ingredients =
    {
      {"steel-plate", 15}
    },
    result = "smeltery",
    enabled = true
  },
}
)