local resource_autoplace = require("__base__/prototypes/entity/demo-resource-autoplace")

-- Autoplace-control --
local ac = util.table.deepcopy(data.raw["autoplace-control"]["crude-oil"])
ac.name = "lava"
ac.control = "lava"
data:extend({ ac })
-- Noise Layer --
local nl = util.table.deepcopy(data.raw["noise-layer"]["crude-oil"])
nl.name = "lava"
data:extend({ nl })



data:extend(
{
  {
    type = "resource",
    name = "lava",
    icon = "__KasTech_Metallurgy__/graphics/fluid/lava.png",
	icon_size = 32,
    flags = {"placeable-neutral"},
    category = "lava",
    order = "lava-1",
    infinite = true,
    minimum = 60000,
    normal = 300000,
    infinite_depletion_amount = 10,
    resource_patch_search_radius = 12,
    tree_removal_probability = 0.7,
    tree_removal_max_distance = 32 * 32,
    minable =
    {
      mining_time = 1,
      results =
      {
        {
          type = "fluid",
          name = "lava",
		  temperature = 2000,
          amount_min = 2,
          amount_max = 10,
          probability = 1
        }
      }
    },
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace = resource_autoplace.resource_autoplace_settings{
      name = "lava",
      order = "d", -- Other resources are "b"; oil won't get placed if something else is already there.
      base_density = 8.2,
      base_spots_per_km2 = 1.8,
      random_probability = 1/48,
      random_spot_size_minimum = 1,
      random_spot_size_maximum = 1, -- don't randomize spot size
      additional_richness = 220000, -- this increases the total everywhere, so base_density needs to be decreased to compensate
      has_starting_area_placement = false,
      resource_index = 100,
      regular_rq_factor_multiplier = 1
    },
    stage_counts = {0},
    stages =
    {
		sheet=
		{
			filename = "__KasTech_Metallurgy__/graphics/entity/fluids/lava-600-new.png",
			priority = "extra-high",
			width = 75,
			height = 61,
			frame_count = 4,
			variation_count = 1
		},
    },
    map_color = {r=80, g=10, b=10},
    map_grid = false
  },
  
}
)